Emmet Shortcuts
=================

Viewport
----------
  meta:vp


Header
----------
  header>.hero>section.layout>.branding>a>img[src="images/misc/vidobu.jpg"]


Navigation
------------
  .navigation>section.layout>ul.nav>li*>a[href="#"]


Footer
----------
  footer>section.layout>.socialmediaicons>span.title{Sosyal Medya:}


Icons
----------
  ul>li*>a[href="http://$#.com"]>img.icon[src="images/socialmedia/$#.png" alt="icon for $#"]


Speaker's List
--------------
  .speakerslist>section.layout>h1>{Bir Sonraki Konuşmacılar}^.speakers


Artist Info
-------------

  <article class="artist">
    <h3>Art in Full Bloom<span class="small"> with <a href="#">Lorenzo Garcia</a></span></h3>
    <p><a href="#"><img class="speaker" src="images/speakers/Lorenzo_Garcia_tn.jpg" alt="Photo of Lorenzo Garcia"></a></p>
    <p>Drawing and painting flowers may seem like a first-year art student's assignment, but Lorenzo Garcia brings depth, shadows, light, form and color to new heights with his unique and revolutionary technique of painting on canvas with ceramic glaze. This session is sure to be a hit with mixed media buffs.</p>                
  </article><!-- artist -->

  <article class="artist">
    <h3>Deep Sea Wonders<span class="small"> with <a href="#">Hilary Goldywynn Post</a></span></h3>
    <p><a href="#"><img class="speaker" src="images/speakers/Hillary_Goldwynn_tn.jpg" alt="Photo of Hillary Goldwynn"></a></p>
    <p>Hillary is a sophomore art sculpture student at New York University, and has won the major international prizes for painters, including the Divinity Circle and the International Painter's Medal. Hillary's exhibit features paintings that contain only water including waves, deep sea, and river.</p>
  </article><!-- artist -->

  <article class="artist">
    <h3>The Art of Abstract<span class="small"> with <a href="#">Riley Rudolph Rewington</a></span></h3>
    <p><a href="#"><img class="speaker" src="images/speakers/Riley_Rewington_tn.jpg" alt="Photo of Riley Rewington"></a></p>
    <p>The leader of the MMA artistic movement in his hometown of Portland, Riley Rudolph Rewington draws a crowd wherever he goes. Mixing street performance, video, music, and traditional art, Riley has created some of the most unique and deeply poignant abstract works of his generation.</p>
  </article><!-- artist -->


Main Content
-------------
  section.layout>primary>article#idname*3^aside.secondary>article#idname*3


Primary Area
----------------------

  <article id="nextmeeting">
    <h1><i class="icon-calendar"></i> Next meeting</h1>
    <a href="#"><img src="images/misc/hotel_gwendoline.jpg"></a>
    <p>Our next meeting will be Thursday, August 22nd, 6-9pm at Hotel Guendoline. <a href="http://maps.google.com">456  Elm Street Boulevard in Downtown Seattle</a></p>
  </article><!-- article -->

  <article id="whoarewe">
    <h1>Biz Kimiz</h1>
      <p>TLorem ipsum dolor sit amet, consectetur adipisicing elit. Vero, commodi ipsam voluptatibus harum iure veniam itaque! Eveniet, natus, repudiandae, omnis modi quisquam eos officia velit deleniti repellendus quam aliquid ipsam?</p>

      <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vero, commodi ipsam voluptatibus harum iure veniam itaque! Eveniet, natus, repudiandae, omnis modi quisquam eos officia velit deleniti repellendus quam aliquid ipsam?/p>
  </article><!-- article -->

  <article id="getbusy">
    <h1>Referanslar</h1>
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vero, commodi ipsam voluptatibus harum iure veniam itaque! Eveniet, natus, repudiandae, omnis modi quisquam eos officia velit deleniti repellendus quam aliquid ipsam?</a>, <a href="http://www.twitter.com">follow us on twitter</a> or sign up for our email list on the sidebar to the right. If you're in FaceBook, you can also <a href="http://www.facebook.com">join our FaceBook group</a>.</p>
  </article><!-- article -->

  <article id="whoshouldcome">
    <h1>Kimler Katılmalı</h1>
    <ul>
      <li>Anybody interested in art and the creative industry</li>
      <li>Lorem ipsum dolor sit amet, consectetur adipisicing </li>
      <li>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Vero, commodi ipsam voluptatibus harum iure veniam itaque! Eveniet, natus, repudiandae, omnis modi quisquam eos officia velit deleniti repellendus quam aliquid ipsam?</li>
    </ul>
  </article><!-- article -->

  <article id="artistlist">
    <h1>Artwork on display</h1>
    <p>While you attend the conference, head over to our Gallery where you can check out some of the work from our speakers.</p>
    <div class="pixgrid">
      <img src="images/artwork/Hillary_Goldwynn_02_tn.jpg" alt="Artwork 02 from Hillary_Goldwynn">
      <img src="images/artwork/Hillary_Goldwynn_03_tn.jpg" alt="Artwork 03 from Hillary_Goldwynn">
      <img src="images/artwork/Hillary_Goldwynn_05_tn.jpg" alt="Artwork 05 from Hillary_Goldwynn">
      <img src="images/artwork/Hillary_Goldwynn_06_tn.jpg" alt="Artwork 06 from Hillary_Goldwynn">
      <img src="images/artwork/Hillary_Goldwynn_07_tn.jpg" alt="Artwork 07 from Hillary_Goldwynn">
      <img src="images/artwork/Lorenzo_Garcia_01_tn.jpg" alt="Artwork 01 from Lorenzo_Garcia">
      <img src="images/artwork/Lorenzo_Garcia_02_tn.jpg" alt="Artwork 02 from Lorenzo_Garcia">
      <img src="images/artwork/Lorenzo_Garcia_03_tn.jpg" alt="Artwork 03 from Lorenzo_Garcia">
      <img src="images/artwork/Lorenzo_Garcia_04_tn.jpg" alt="Artwork 04 from Lorenzo_Garcia">
      <img src="images/artwork/Riley_Rewington_03_tn.jpg" alt="Artwork 03 from Riley_Rewington">
      <img src="images/artwork/Riley_Rewington_04_tn.jpg" alt="Artwork 04 from Riley_Rewington">
      <img src="images/artwork/Riley_Rewington_06_tn.jpg" alt="Artwork 06 from Riley_Rewington">
    </div>
  </article><!-- Featured Artists -->

  <article id="mailinglist">
    <h1>Mail listemize katılın</h1>
    <p>LOREM ipsum dolar .</p>
    <form id="emailsignup">
      <input name="name" placeholder="İsminiz">
      <input name="email" placeholder="e-mail">
      <div><input type="submit" value="Üyelik" name="subscribe" id="mc-embedded-subscribe" class="button"></div>
    </form>
  </article><!-- article -->

